# SDO_Exception::getCause

(^)

SDO_Exception::getCause — Get the cause of the exception

### Description

SDO_Exception::getCause ( void ) : mixed
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Returns the cause of this exception or NULL if the cause is nonexistent or unknown. Typically the cause will be an SDO_CPPException object, which may be used to obtain additional diagnostic information.

### Parameters

None.

### Return Values

Returns the cause of this exception or NULL if the cause is nonexistent or unknown.